Builds failing with "Unsupported script engine:" message

appveyor.com's Avatar

appveyor.com

29 Sep, 2015 06:41 PM

Yesterday our builds suddenly started to fail with an error message that seems incomplete:
"Unsupported script engine: "
(Yes, that's a colon at the end)
We haven't touched the project settings, the project was being build by cmake + msbuild, the script that it seems to complain about is the cmake pre-build step.
The project builds are at https://ci.appveyor.com/project/madmaxoft/mcserver
Thanks for any help that you can provide

  1. Support Staff 1 Posted by Feodor Fitsner on 29 Sep, 2015 06:47 PM

    Feodor Fitsner's Avatar

    You are building against "previous" image: https://github.com/cuberite/cuberite/blob/master/appveyor.yml#L2 (why?)

    Remove that line with os altogether and it will be fine.

  2. 2 Posted by appveyor.com on 29 Sep, 2015 06:59 PM

    appveyor.com's Avatar

    We had that line because without it, Appveyor used to try to build with VS2015, and we want VS2013. I've tried to remove the line and so far it looks like it's building. Thanks.

  3. Ilya Finkelshteyn closed this discussion on 25 Aug, 2018 02:00 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac